#ifndef INCLUDED_SCENE_GRAPH_ITERATOR
#define INCLUDED_SCENE_GRAPH_ITERATOR

#include "SceneGraph.h"

class SceneGraphIterator {
public:
    // 走査する SceneGraphList
    SceneGraphPtr list;

    // 現在参照中の SceneGraph
    SceneGraphPtr cur;

    void set(SceneGraphPtr list);
    int hasNext(void);
    int hasNext(int id);
    int hasNextGroup(int id);
    void next(void);
    void next(int id);
    void nextGroup(int id);
    void remove(void);
    SceneGraphPtr get(void);
};

typedef SceneGraphIterator *SceneGraphIteratorPtr;

#endif
